# class Puppet::Provider::Package

### Public Class Methods

prefetch(packages) click to toggle source

Prefetch our package list, yo.

    # File lib/puppet/provider/package.rb, line 3
    def self.prefetch(packages)
      instances.each do |prov|
        if pkg = packages[prov.name]
          pkg.provider = prov
        end
      end
    end

### Public Instance Methods

flush() click to toggle source

Clear out the cached values.

    # File lib/puppet/provider/package.rb, line 12
    def flush
      @property_hash.clear
    end

properties() click to toggle source

Look up the current status.

    # File lib/puppet/provider/package.rb, line 17
    def properties
      if @property_hash.empty?
        @property_hash = query || {:ensure => :absent}
        @property_hash[:ensure] = :absent if @property_hash.empty?
      end
      @property_hash.dup
    end

validate_source(value) click to toggle source

    # File lib/puppet/provider/package.rb, line 25
    def validate_source(value)
      true
    end